API referenceBidding XBID
POST /api/XBID/PublicTradesByContractId
Returns the market's published executions for one delivery contract. Use this trade tape to analyse recent traded prices and volumes; it does not contain the user's private orders.
POST
/api/XBID/PublicTradesByContractIdcurl -X POST "/api/XBID/PublicTradesByContractId" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": 1
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger<int32>
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.XBID.XBIDTradeListItemDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"contractId": 0,
"tradeId": 0,
"revisionNo": 0,
"state": 0,
"stateDescription": "string",
"quantity": 0,
"price": 0,
"value": 0,
"priceChange": 0,
"priceChangePercent": 0,
"tradeExecutedTime": "2026-01-15T09:30:00Z",
"buyDeliveryAreaId": "string",
"sellDeliveryAreaId": "string"
}
]
}